Last Comment Bug 674731 - WebGL/ANGLE interop with D3D layers requests incorrect extension
: WebGL/ANGLE interop with D3D layers requests incorrect extension
Status: RESOLVED FIXED
[qa-]
: regression
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: mozilla8
Assigned To: Jeff Gilbert [:jgilbert]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 676138
Blocks: 657748
  Show dependency treegraph
 
Reported: 2011-07-27 15:14 PDT by Jeff Gilbert [:jgilbert]
Modified: 2011-09-22 16:38 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed


Attachments
Fix (4.85 KB, patch)
2011-07-28 12:42 PDT, Jeff Gilbert [:jgilbert]
jacob.benoit.1: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jeff Gilbert [:jgilbert] 2011-07-27 15:14:48 PDT
GLContextEGL requires extension "EGL_ANGLE_surface_d3d_share_handle", which no longer exists. According to the extension spec, the extension was renamed in version 2 to "EGL_ANGLE_surface_d3d_texture_2d_share_handle", but this change was evidently never factored back into GLContextEGL.

Refs:
http://www.khronos.org/registry/egl/extensions/ANGLE/EGL_ANGLE_surface_d3d_texture_2d_share_handle.txt
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2011-07-28 08:21:51 PDT
EGL_ANGLE_surface_d3d_share_handle only ever existed in a local patch that we used to have, not in upstream ANGLE.

When I upgraded ANGLE to r653 (bug 657748), I removed this patch as that functionality had been integrated upstream. I didn't notice that the extension name was different.
Comment 2 Jeff Gilbert [:jgilbert] 2011-07-28 12:42:11 PDT
Created attachment 549201 [details] [diff] [review]
Fix

Updates extension and relevant identifiers to match spec.
Fixed y-flip problem with shared textures.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2011-07-28 13:40:25 PDT
Landed on central:
http://hg.mozilla.org/mozilla-central/rev/267ada59f86f

Please give us beta approval.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2011-07-28 15:41:26 PDT
Landed on aurora and beta.
http://hg.mozilla.org/releases/mozilla-aurora/rev/935e296aabf4
http://hg.mozilla.org/releases/mozilla-beta/rev/0bb77d0b73ad
Comment 5 Ioana (away) 2011-08-26 00:30:01 PDT
Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0

Can anyone please help me with a test case or with STR / guidelines that I can use to verify this fix?

Thank you
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2011-08-26 06:26:02 PDT
Actually, no, it's not very easy to verify this one. The only user-visible difference is speed: when we had this bug, running WebGL demos with a large window or full-screen was slower than normal.

In order to prevent this kind of regression in the future, we need WebGL performance tests: bug 676138.
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-22 16:38:47 PDT
qa- as no QA fix verification needed

Note You need to log in before you can comment on or make changes to this bug.